#!/bin/bash

function msg () { echo -e "$*"; }
function fail () { msg "\\nFAIL: ${1:-Failed}\\n"; FailCount+=1; }
function pass () { msg "\\nPASS: ${1:-Passed}\\n"; PassCount+=1; }

declare -i FailCount=0
declare -i PassCount=0

source /p4/common/bin/p4_vars "${SDP_INSTANCE:-1}"

msg "Expecting REJECT"
cat t1.txt | ../broker_must_be_super.pl

msg "Expecting PASS"
cat t2.txt | ../broker_must_be_super.pl
