HMS Product Road Map
===

Version | Status | Target Timeframe | Key Features
------- | -------- | ---------------- | ---------------------------
2021.3  | Planned | *Q4 2021* |  Failover: Take 2. With addition of `p4 failover` greatly simplify and improving Helix Core failover capability, HMS failover logic will be simplified. HMS manages DFM brokers and knows what machine in the topology to execute failover on. The `p4 failover` does actual failover execution.
2021.2  | *WIP* | *Q2 2021* | Implement `hms update` and `hms upgrade` options to initiate a site-wide global topology upgrade without the human admin needing much knowledge of the global topology.  An admin with super access that inherited the Perforce Helix application just yesterday should be able to confidently upgrade the whole thing tomorrow. This is to include all Helix Core server products (p4d/p4broker/p4p) in the entire global topology.
2021.1  | Released | 2021-03 | Minor updates from 2020.1. |
2020.1  | Released | 2020 | Added *prototype* Data Leaking Protection (DLP). Prototype solution for providing Helix services to users who must "stay in their lane," and not be aware of things going they're not involved with. Ability to list clients, for example, is limited to the users own clients, and users cannot be listed except by a super user.
2019.1  | Released | Early March, 2019 | Back to a standalone project, bringing hardening updates and fixes.
w/SDP | Released | From 2016-2019 | Primarily hardening and bug fixes.
2016.1  | Released     | September 2016 | SDP Version Management, Topology Definition, Failover Support for **p4d**, **p4broker**, Replication Normalization, Simplified Replica/Edge Server Setup, Helix Component Status Visualization

Feature Descriptions
---

* **SDP "Tight Ship" Version Management** - A necessary step on the path to successful automation across multiple machines is to solve basic version management challenges for the SDP itself.  Essentially, Helix Core itself is used to version the SDP on all HMS hosts. An HMS host is any Perforce server process executes, be it a proxy, broker, master/commit server, replica, edge, Swarm, etc.  The familiar SDP `/p4/common` structure is managed on all hosts from a single server, the p4hms server.  That server in turn uses Helix native DVCS features to simplify the process of updating the SDP from The Workshop, taking advantage of merging power to merge updates to the stock/public SDP into the local environment, which will have local configuration and optional customizations versioned locally.

* **Topology Definition** - HMS provides a data format to describe various aspects of Helix server components in use.

* **Failover Support for ...** - HMS will provide Scheduled and Unscheduled Failover for the managed Helix components.



